## dsda-doom 0.25.6+dfsg

=== prboom2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project("dsda-doom" VERSION 0.25.6)

# Set a default build type if none was specified
set(default_build_type "RelWithDebInfo")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(TargetArch)

include(TestBigEndian)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

include(GNUInstallDirs)

# Automated dependencies discovery, mostly needed for MSVC
target_architecture(TARGET_ARCH)
foreach(target ${TARGET_ARCH})
    if(${target} MATCHES "i386")
        set(DEPENDENCY_SUFFIX x86)
    elseif(${target} MATCHES "x86_64")
        set(DEPENDENCY_SUFFIX x64)
    endif()
endforeach()
set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../dependencies_${DEPENDENCY_SUFFIX}")

set(PACKAGE_NAME "${PROJECT_NAME}")
set(PACKAGE_TARNAME "dsda-doom")
set(WAD_DATA "dsda-doom.wad")
set(PACKAGE_VERSION "${PROJECT_VERSION}")
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")

include(CheckSymbolExists)

check_symbol_exists(stricmp "string.h" HAVE_STRICMP)
if(NOT HAVE_STRICMP)
    add_definitions("-Dstricmp=strcasecmp")
endif()
check_symbol_exists(strnicmp "string.h" HAVE_STRNICMP)
if(NOT HAVE_STRNICMP)
    add_definitions("-Dstrnicmp=strncasecmp")
endif()

check_symbol_exists(getopt "unistd.h" HAVE_GETOPT)
check_symbol_exists(mmap "sys/mman.h" HAVE_MMAP)
check_symbol_exists(CreateFileMapping "windows.h" HAVE_CREATE_FILE_MAPPING)
check_symbol_exists(strsignal "string.h" HAVE_STRSIGNAL)
check_symbol_exists(mkstemp "stdlib.h" HAVE_MKSTEMP)

include(CheckIncludeFile)

check_include_file("sys/wait.h" HAVE_SYS_WAIT_H)
check_include_file("unistd.h" HAVE_UNISTD_H)
check_include_file("asm/byteorder.h" HAVE_ASM_BYTEORDER_H)
check_include_file("dirent.h" HAVE_DIRENT_H)

set(OpenGL_GL_PREFERENCE LEGACY)
find_package(OpenGL REQUIRED)

find_package(SDL2 2.0.7 REQUIRED)

option(WITH_IMAGE "Use SDL2_image if available" ON)
if(WITH_IMAGE)
    find_package(SDL2_image)
    if(SDL2_IMAGE_FOUND)
        set(HAVE_LIBSDL2_IMAGE TRUE)
    endif()
endif()

find_package(SDL2_mixer REQUIRED)

option(WITH_ZLIB "Use ZLIB if available" ON)
if(WITH_ZLIB)
    find_package(ZLIB)
    if(ZLIB_FOUND)
        set(HAVE_LIBZ TRUE)
    endif()
endif()

option(WITH_MAD "Use libmad if available" ON)
if(WITH_MAD)
    find_package(LibMad)
    if(LIBMAD_FOUND)
        set(HAVE_LIBMAD TRUE)
    endif()
endif()

option(WITH_FLUIDSYNTH "Use FluidSynth if available" ON)
if(WITH_FLUIDSYNTH)
    find_package(FluidSynth)
    if(FLUIDSYNTH_FOUND)
        set(HAVE_LIBFLUIDSYNTH TRUE)
    endif()
endif()

option(WITH_DUMB "Use DUMB if available" ON)
if(WITH_DUMB)
    find_package(DUMB)
    if(DUMB_FOUND)
        set(HAVE_LIBDUMB TRUE)
    endif()
endif()

option(WITH_VORBISFILE "Use vorbisfile if available" ON)
if(WITH_VORBISFILE)
    find_package(Vorbis)
    if(VORBIS_FOUND)
        set(HAVE_LIBVORBISFILE TRUE)
    endif()
endif()

option(WITH_PORTMIDI "Use PortMidi if available" ON)
if(WITH_PORTMIDI)
    find_package(PortMidi)
    if(PortMidi_FOUND)
        set(HAVE_LIBPORTMIDI TRUE)
    endif()
endif()

set(CMAKE_REQUIRED_INCLUDES_PREV ${CMAKE_REQUIRED_INCLUDES})
set(CMAKE_REQUIRED_LIBRARIES_PREV ${CMAKE_REQUIRED_LIBRARIES})
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${SDL2_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${SDL2_LIBRARIES})
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES_PREV})
set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES_PREV})

set(DOOMWADDIR "${CMAKE_INSTALL_PREFIX}/share/games/doom" CACHE PATH "Path to look for WAD files")
set(DSDAPWADDIR "${DOOMWADDIR}" CACHE PATH "Path to install DSDA-Doom internal WAD")

option(SIMPLECHECKS "Enable checks which only impose significant overhead if a posible error is detected" ON)

# Debug options, disabled by default
option(RANGECHECK "Enable internal range checking" OFF)

configure_file(cmake/config.h.cin config.h)

add_definitions(-DHAVE_CONFIG_H)

if (MSVC)
    add_definitions("/D_CRT_SECURE_NO_WARNINGS")
else()
    set(CMAKE_C_FLAGS
        "${CMAKE_C_FLAGS} \
        -Wall -Wno-missing-field-initializers -Wwrite-strings -Wundef \
        -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeclaration-after-statement \
        -Wpointer-arith -Wno-unused -Wno-switch -Wno-sign-compare -Wno-pointer-sign \
        -Wtype-limits -Wabsolute-value \
        -ffast-math"
    )
endif()

# Support cross compiling
option(FORCE_CROSSCOMPILE "Enable cross-compilation" OFF)
if(FORCE_CROSSCOMPILE)
    set(CMAKE_CROSSCOMPILING ON)
endif()

if(CMAKE_CROSSCOMPILING)
    set(IMPORT_EXECUTABLES "IMPORTFILE-NOTFOUND" CACHE FILEPATH "Export file from native build")
    include(${IMPORT_EXECUTABLES})
else()
    if(NOT CROSS_EXPORTS)
        set(CROSS_EXPORTS "")
    endif()
endif()

set(PRBOOM_OUTPUT_PATH ${CMAKE_BINARY_DIR})

set(WAD_DATA_PATH "${PRBOOM_OUTPUT_PATH}/${WAD_DATA}")

add_subdirectory(data)
add_subdirectory(src)

if(NOT CMAKE_CROSSCOMPILING)
    export(TARGETS ${CROSS_EXPORTS} FILE "${CMAKE_BINARY_DIR}/ImportExecutables.cmake")
endif()

=== prboom2/data/CMakeLists.txt ===
# PrBoom-Plus WAD creation tool

if(NOT CMAKE_CROSSCOMPILING)
    add_executable(rdatawad
        rd_main.c
        rd_util.c
        rd_util.h
        rd_output.c
        rd_output.h
        rd_sound.c
        rd_sound.h
        rd_palette.c
        rd_palette.h
        rd_graphic.c
        rd_graphic.h
    )
    target_include_directories(rdatawad PRIVATE ${CMAKE_BINARY_DIR})

    set(CROSS_EXPORTS ${CROSS_EXPORTS} rdatawad PARENT_SCOPE)
endif()

# PrBoom-Plus internal WAD

set(PALETTE
    palette.rgb
)

set(LUMPS
    lumps/switches.lmp
    lumps/animated.lmp
    lumps/crbrick.lmp
    lumps/crtan.lmp
    lumps/crgray.lmp
    lumps/crgreen.lmp
    lumps/crbrown.lmp
    lumps/crgold.lmp
    lumps/crred.lmp
    lumps/crblue.lmp
    lumps/crblue2.lmp
    lumps/crorange.lmp
    lumps/cryellow.lmp
    lumps/crblack.lmp
    lumps/crpurple.lmp
    lumps/crwhite.lmp
    lumps/crheresy.lmp
    lumps/crhexen.lmp
    lumps/sndcurve.lmp
    lumps/soundfont/sndfont.lmp
    lumps/dsdahud.lmp
)

set(COLORMAPS
    lumps/watermap.lmp
)

set(TABLES
    lumps/sinetabl.lmp
    lumps/tangtabl.lmp
    lumps/tantoang.lmp
    lumps/gammatbl.lmp
    lumps/chexdeh.lmp
    lumps/bfgbex.lmp
    lumps/nervebex.lmp
    lumps/glshadow.lmp
    lumps/glfp.lmp
    lumps/glfp_fuzz.lmp
    lumps/glfp_idx.lmp
    lumps/glvp.lmp
    lumps/m_ammo.lmp
    lumps/m_armour.lmp
    lumps/m_arrow.lmp
    lumps/m_health.lmp
    lumps/m_key.lmp
    lumps/m_normal.lmp
    lumps/m_shadow.lmp
    lumps/m_power.lmp
    lumps/m_weap.lmp
    lumps/m_mark.lmp
)

set(SOUNDS
    sounds/dsdgsit.wav
    sounds/dsdgatk.wav
    sounds/dsdgact.wav
    sounds/dsdgdth.wav
    sounds/dsdgpain.wav
    sounds/dssecret.wav
)

set(GRAPHICS
    graphics/dig033.ppm
    graphics/dig034.ppm
    graphics/dig035.ppm
    graphics/dig036.ppm
    graphics/dig037.ppm
    graphics/dig038.ppm
    graphics/dig039.ppm
    graphics/dig040.ppm
    graphics/dig041.ppm
    graphics/dig042.ppm
    graphics/dig043.ppm
    graphics/dig044.ppm
    graphics/dig045.ppm
    graphics/dig046.ppm
    graphics/dig047.ppm
    graphics/dig048.ppm
    graphics/dig049.ppm
    graphics/dig050.ppm
    graphics/dig051.ppm
    graphics/dig052.ppm
    graphics/dig053.ppm
    graphics/dig054.ppm
    graphics/dig055.ppm
    graphics/dig056.ppm
    graphics/dig057.ppm
    graphics/dig058.ppm
    graphics/dig059.ppm
    graphics/dig060.ppm
    graphics/dig061.ppm
    graphics/dig062.ppm
    graphics/dig063.ppm
    graphics/dig064.ppm
    graphics/dig065.ppm
    graphics/dig066.ppm
    graphics/dig067.ppm
    graphics/dig068.ppm
    graphics/dig069.ppm
    graphics/dig070.ppm
    graphics/dig071.ppm
    graphics/dig072.ppm
    graphics/dig073.ppm
    graphics/dig074.ppm
    graphics/dig075.ppm
    graphics/dig076.ppm
    graphics/dig077.ppm
    graphics/dig078.ppm
    graphics/dig079.ppm
    graphics/dig080.ppm
    graphics/dig081.ppm
    graphics/dig082.ppm
    graphics/dig083.ppm
    graphics/dig084.ppm
    graphics/dig085.ppm
    graphics/dig086.ppm
    graphics/dig087.ppm
    graphics/dig088.ppm
    graphics/dig089.ppm
    graphics/dig090.ppm
    graphics/dig091.ppm
    graphics/dig092.ppm
    graphics/dig093.ppm
    graphics/dig094.ppm
    graphics/dig095.ppm
    graphics/dig096.ppm
    graphics/dig097.ppm
    graphics/dig098.ppm
    graphics/dig099.ppm
    graphics/dig100.ppm
    graphics/dig101.ppm
    graphics/dig102.ppm
    graphics/dig103.ppm
    graphics/dig104.ppm
    graphics/dig105.ppm
    graphics/dig106.ppm
    graphics/dig107.ppm
    graphics/dig108.ppm
    graphics/dig109.ppm
    graphics/dig110.ppm
    graphics/dig111.ppm
    graphics/dig112.ppm
    graphics/dig113.ppm
    graphics/dig114.ppm
    graphics/dig115.ppm
    graphics/dig116.ppm
    graphics/dig117.ppm
    graphics/dig118.ppm
    graphics/dig119.ppm
    graphics/dig120.ppm
    graphics/dig121.ppm
    graphics/dig122.ppm
    graphics/dig123.ppm
    graphics/dig124.ppm
    graphics/dig125.ppm
    graphics/dig126.ppm
    graphics/boxul.ppm
    graphics/boxuc.ppm
    graphics/boxur.ppm
    graphics/boxcl.ppm
    graphics/boxcc.ppm
    graphics/boxcr.ppm
    graphics/boxll.ppm
    graphics/boxlc.ppm
    graphics/boxlr.ppm
    graphics/stkeys6.ppm
    graphics/stkeys7.ppm
    graphics/stkeys8.ppm
    graphics/stcfn096.ppm
    graphics/m_butt1.ppm
    graphics/m_butt2.ppm
    graphics/m_colors.ppm
    graphics/m_palno.ppm
    graphics/m_palsel.ppm
    graphics/m_vbox.ppm
    graphics/cross1.ppm
    graphics/cross2.ppm
    graphics/cross3.ppm
    graphics/cross4.ppm
    graphics/cross5.ppm
    graphics/cross6.ppm
    graphics/cross7.ppm
)

set(FLATS
    flats/-n0_tex-.ppm
)

set(SPRITES
    sprites/tnt1a0.ppm
)
set(SPRITEP "0,0,sprites/tnt1a0.ppm")

set(SPRITES
    ${SPRITES}
    sprites/dogsa1.ppm
    sprites/dogsa2.ppm
    sprites/dogsa3.ppm
    sprites/dogsa4.ppm
    sprites/dogsa5.ppm
    sprites/dogsa6.ppm
    sprites/dogsa7.ppm
    sprites/dogsa8.ppm
    sprites/dogsb1.ppm
    sprites/dogsb2.ppm
    sprites/dogsb3.ppm
    sprites/dogsb4.ppm
    sprites/dogsb5.ppm
    sprites/dogsb6.ppm
    sprites/dogsb7.ppm
    sprites/dogsb8.ppm
    sprites/dogsc1.ppm
    sprites/dogsc2.ppm
    sprites/dogsc3.ppm
    sprites/dogsc4.ppm
    sprites/dogsc5.ppm
    sprites/dogsc6.ppm
    sprites/dogsc7.ppm
    sprites/dogsc8.ppm
    sprites/dogsd1.ppm
    sprites/dogsd2.ppm
    sprites/dogsd3.ppm
    sprites/dogsd4.ppm
    sprites/dogsd5.ppm
    sprites/dogsd6.ppm
    sprites/dogsd7.ppm
    sprites/dogsd8.ppm
    sprites/dogse1.ppm
    sprites/dogse2.ppm
    sprites/dogse3.ppm
    sprites/dogse4.ppm
    sprites/dogse5.ppm
    sprites/dogse6.ppm
    sprites/dogse7.ppm
    sprites/dogse8.ppm
    sprites/dogsf1.ppm
    sprites/dogsf2.ppm
    sprites/dogsf3.ppm
    sprites/dogsf4.ppm
    sprites/dogsf5.ppm
    sprites/dogsf6.ppm
    sprites/dogsf7.ppm
    sprites/dogsf8.ppm
    sprites/dogsg1.ppm
    sprites/dogsg2.ppm
    sprites/dogsg3.ppm
    sprites/dogsg4.ppm
    sprites/dogsg5.ppm
    sprites/dogsg6.ppm
    sprites/dogsg7.ppm
    sprites/dogsg8.ppm
    sprites/dogsh1.ppm
    sprites/dogsh2.ppm
    sprites/dogsh3.ppm
    sprites/dogsh4.ppm
    sprites/dogsh5.ppm
    sprites/dogsh6.ppm
    sprites/dogsh7.ppm
    sprites/dogsh8.ppm
    sprites/dogsi0.ppm
    sprites/dogsj0.ppm
    sprites/dogsk0.ppm
    sprites/dogsl0.ppm
    sprites/dogsm0.ppm
    sprites/dogsn0.ppm
)
set(SPRITEP
    ${SPRITEP}
    "33,66,sprites/dogsa1.ppm"
    "33,66,sprites/dogsa2.ppm"
    "33,66,sprites/dogsa3.ppm"
    "33,66,sprites/dogsa4.ppm"
    "33,66,sprites/dogsa5.ppm"
    "33,66,sprites/dogsa6.ppm"
    "33,66,sprites/dogsa7.ppm"
    "33,66,sprites/dogsa8.ppm"
    "33,66,sprites/dogsb1.ppm"
    "33,66,sprites/dogsb2.ppm"
    "33,66,sprites/dogsb3.ppm"
    "33,66,sprites/dogsb4.ppm"
    "33,66,sprites/dogsb5.ppm"
    "33,66,sprites/dogsb6.ppm"
    "33,66,sprites/dogsb7.ppm"
    "33,66,sprites/dogsb8.ppm"
    "33,66,sprites/dogsc1.ppm"
    "33,66,sprites/dogsc2.ppm"
    "33,66,sprites/dogsc3.ppm"
    "33,66,sprites/dogsc4.ppm"
    "33,66,sprites/dogsc5.ppm"
    "33,66,sprites/dogsc6.ppm"
    "33,66,sprites/dogsc7.ppm"
    "33,66,sprites/dogsc8.ppm"
    "33,66,sprites/dogsd1.ppm"
    "33,66,sprites/dogsd2.ppm"
    "33,66,sprites/dogsd3.ppm"
    "33,66,sprites/dogsd4.ppm"
    "33,66,sprites/dogsd5.ppm"
    "33,66,sprites/dogsd6.ppm"
    "33,66,sprites/dogsd7.ppm"
    "33,66,sprites/dogsd8.ppm"
    "33,66,sprites/dogse1.ppm"
    "33,66,sprites/dogse2.ppm"
    "33,66,sprites/dogse3.ppm"
    "33,66,sprites/dogse4.ppm"
    "33,66,sprites/dogse5.ppm"
    "33,66,sprites/dogse6.ppm"
    "33,66,sprites/dogse7.ppm"
    "33,66,sprites/dogse8.ppm"
    "33,66,sprites/dogsf1.ppm"
    "33,66,sprites/dogsf2.ppm"
    "33,66,sprites/dogsf3.ppm"
    "33,66,sprites/dogsf4.ppm"
    "33,66,sprites/dogsf5.ppm"
    "33,66,sprites/dogsf6.ppm"
    "33,66,sprites/dogsf7.ppm"
    "33,66,sprites/dogsf8.ppm"
    "33,66,sprites/dogsg1.ppm"
    "33,66,sprites/dogsg2.ppm"
    "33,66,sprites/dogsg3.ppm"
    "33,66,sprites/dogsg4.ppm"
    "33,66,sprites/dogsg5.ppm"
    "33,66,sprites/dogsg6.ppm"
    "33,66,sprites/dogsg7.ppm"
    "33,66,sprites/dogsg8.ppm"
    "33,66,sprites/dogsh1.ppm"
    "33,66,sprites/dogsh2.ppm"
    "33,66,sprites/dogsh3.ppm"
    "33,66,sprites/dogsh4.ppm"
    "33,66,sprites/dogsh5.ppm"
    "33,66,sprites/dogsh6.ppm"
    "33,66,sprites/dogsh7.ppm"
    "33,66,sprites/dogsh8.ppm"
    "33,67,sprites/dogsi0.ppm"
    "33,67,sprites/dogsj0.ppm"
    "33,67,sprites/dogsk0.ppm"
    "33,67,sprites/dogsl0.ppm"
    "33,68,sprites/dogsm0.ppm"
    "33,69,sprites/dogsn0.ppm"
)

set(SPRITES
    ${SPRITES}
    sprites/pls1a0.ppm
    sprites/pls1b0.ppm
    sprites/pls1c0.ppm
    sprites/pls1d0.ppm
    sprites/pls1e0.ppm
    sprites/pls1f0.ppm
    sprites/pls1g0.ppm
    sprites/pls2a0.ppm
    sprites/pls2b0.ppm
    sprites/pls2c0.ppm
    sprites/pls2d0.ppm
    sprites/pls2e0.ppm
)
set(SPRITEP
    ${SPRITEP}
    "9,11,sprites/pls1a0.ppm"
    "8,11,sprites/pls1b0.ppm"
    "9,11,sprites/pls1c0.ppm"
    "8,11,sprites/pls1d0.ppm"
    "16,27,sprites/pls1e0.ppm"
    "16,27,sprites/pls1f0.ppm"
    "18,27,sprites/pls1g0.ppm"
    "9,11,sprites/pls2a0.ppm"
    "8,13,sprites/pls2b0.ppm"
    "11,18,sprites/pls2c0.ppm"
    "16,27,sprites/pls2d0.ppm"
    "18,27,sprites/pls2e0.ppm"
)

set(WAD_SRC
    ${PALETTE}
    ${LUMPS}
    ${COLORMAPS}
    ${TABLES}
    ${SOUNDS}
    ${GRAPHICS}
    ${FLATS}
    ${SPRITES}
)

set(WAD_CMDLINE
    -palette ${PALETTE}
    -lumps ${LUMPS}
    -marker C_START -lumps ${COLORMAPS} -marker C_END
    -marker B_START -lumps ${TABLES} -marker B_END
    -sounds ${SOUNDS}
    -graphics ${GRAPHICS}
    -marker FF_START -flats ${FLATS} -marker FF_END
    -marker SS_START -sprites ${SPRITEP} -marker SS_END
)

add_custom_command(
    OUTPUT "${WAD_DATA_PATH}"
    COMMAND rdatawad -I "${CMAKE_CURRENT_SOURCE_DIR}" ${WAD_CMDLINE} -o "${WAD_DATA_PATH}"
    DEPENDS rdatawad ${WAD_SRC}
)
add_custom_target(dsda-doom-wad DEPENDS ${WAD_DATA_PATH})
install(FILES ${WAD_DATA_PATH} DESTINATION ${DSDAPWADDIR} COMPONENT "DSDA-Doom internal WAD")

=== prboom2/src/CMakeLists.txt ===
# PrBoom main executable

set(COMMON_SRC
    am_map.c
    am_map.h
    doomdata.h
    doomdef.c
    doomdef.h
    doomstat.c
    doomstat.h
    doomtype.h
    dsda.c
    dsda.h
    dsda/analysis.c
    dsda/analysis.h
    dsda/args.c
    dsda/args.h
    dsda/brute_force.c
    dsda/brute_force.h
    dsda/build.c
    dsda/build.h
    dsda/compatibility.c
    dsda/compatibility.h
    dsda/configuration.c
    dsda/configuration.h
    dsda/console.c
    dsda/console.h
    dsda/data_organizer.c
    dsda/data_organizer.h
    dsda/death.c
    dsda/death.h
    dsda/deh_hash.c
    dsda/deh_hash.h
    dsda/demo.c
    dsda/demo.h
    dsda/endoom.c
    dsda/endoom.h
    dsda/excmd.c
    dsda/excmd.h
    dsda/exdemo.c
    dsda/exdemo.h
    dsda/exhud.c
    dsda/exhud.h
    dsda/features.c
    dsda/features.h
    dsda/game_controller.c
    dsda/game_controller.h
    dsda/ghost.c
    dsda/ghost.h
    dsda/gl/render_scale.c
    dsda/gl/render_scale.h
    dsda/global.c
    dsda/global.h
    dsda/hud_components.h
    dsda/hud_components/ammo_text.c
    dsda/hud_components/ammo_text.h
    dsda/hud_components/armor_text.c
    dsda/hud_components/armor_text.h
    dsda/hud_components/attempts.c
    dsda/hud_components/attempts.h
    dsda/hud_components/base.c
    dsda/hud_components/base.h
    dsda/hud_components/big_ammo.c
    dsda/hud_components/big_ammo.h
    dsda/hud_components/big_armor.c
    dsda/hud_components/big_armor.h
    dsda/hud_components/big_armor_text.c
    dsda/hud_components/big_armor_text.h
    dsda/hud_components/big_artifact.c
    dsda/hud_components/big_artifact.h
    dsda/hud_components/big_health.c
    dsda/hud_components/big_health.h
    dsda/hud_components/big_health_text.c
    dsda/hud_components/big_health_text.h
    dsda/hud_components/command_display.c
    dsda/hud_components/command_display.h
    dsda/hud_components/composite_time.c
    dsda/hud_components/composite_time.h
    dsda/hud_components/coordinate_display.c
    dsda/hud_components/coordinate_display.h
    dsda/hud_components/event_split.c
    dsda/hud_components/event_split.h
    dsda/hud_components/fps.c
    dsda/hud_components/fps.h
    dsda/hud_components/health_text.c
    dsda/hud_components/health_text.h
    dsda/hud_components/keys.c
    dsda/hud_components/keys.h
    dsda/hud_components/level_splits.c
    dsda/hud_components/level_splits.h
    dsda/hud_components/line_display.c
    dsda/hud_components/line_display.h
    dsda/hud_components/line_distance_tracker.c
    dsda/hud_components/line_distance_tracker.h
    dsda/hud_components/line_tracker.c
    dsda/hud_components/line_tracker.h
    dsda/hud_components/local_time.c
    dsda/hud_components/local_time.h
    dsda/hud_components/mobj_tracker.c
    dsda/hud_components/mobj_tracker.h
    dsda/hud_components/null.c
    dsda/hud_components/null.h
    dsda/hud_components/player_tracker.c
    dsda/hud_components/player_tracker.h
    dsda/hud_components/ready_ammo_text.c
    dsda/hud_components/ready_ammo_text.h
    dsda/hud_components/render_stats.c
    dsda/hud_components/render_stats.h
    dsda/hud_components/sector_tracker.c
    dsda/hud_components/sector_tracker.h
    dsda/hud_components/speed_text.c
    dsda/hud_components/speed_text.h
    dsda/hud_components/stat_totals.c
    dsda/hud_components/stat_totals.h
    dsda/hud_components/tracker.c
    dsda/hud_components/tracker.h
    dsda/hud_components/weapon_text.c
    dsda/hud_components/weapon_text.h
    dsda/input.c
    dsda/input.h
    dsda/key_frame.c
    dsda/key_frame.h
    dsda/line_special.h
    dsda/map_format.c
    dsda/map_format.h
    dsda/mapinfo.c
    dsda/mapinfo.h
    dsda/mapinfo/hexen.c
    dsda/mapinfo/hexen.h
    dsda/mapinfo/legacy.c
    dsda/mapinfo/legacy.h
    dsda/mapinfo/u.c
    dsda/mapinfo/u.h
    dsda/memory.c
    dsda/memory.h
    dsda/mkdir.c
    dsda/mkdir.h
    dsda/mobjinfo.c
    dsda/mobjinfo.h
    dsda/mouse.c
    dsda/mouse.h
    dsda/msecnode.c
    dsda/msecnode.h
    dsda/music.c
    dsda/music.h
    dsda/options.c
    dsda/options.h
    dsda/palette.c
    dsda/palette.h
    dsda/pause.c
    dsda/pause.h
    dsda/pclass.c
    dsda/pclass.h
    dsda/playback.c
    dsda/playback.h
    dsda/quake.c
    dsda/render_stats.c
    dsda/render_stats.h
    dsda/save.c
    dsda/save.h
    dsda/settings.c
    dsda/settings.h
    dsda/sfx.c
    dsda/sfx.h
    dsda/signal_context.h
    dsda/skip.c
    dsda/skip.h
    dsda/sndinfo.c
    dsda/sndinfo.h
    dsda/spawn_number.c
    dsda/spawn_number.h
    dsda/split_tracker.c
    dsda/split_tracker.h
    dsda/sprite.c
    dsda/sprite.h
    dsda/state.c
    dsda/state.h
    dsda/stretch.c
    dsda/stretch.h
    dsda/text_file.c
    dsda/text_file.h
    dsda/thing_id.c
    dsda/thing_id.h
    dsda/time.c
    dsda/time.h
    dsda/tracker.c
    dsda/tracker.h
    dsda/udmf.cpp
    dsda/udmf.h
    dsda/utility.c
    dsda/utility.h
    dstrings.c
    dstrings.h
    d_deh.c
    d_deh.h
    d_englsh.h
    d_event.h
    d_items.c
    d_items.h
    d_main.c
    d_main.h
    d_net.h
    d_player.h
    d_think.h
    d_ticcmd.h
    e6y.c
    e6y.h
    f_finale.c
    f_finale.h
    f_wipe.c
    f_wipe.h
    g_game.c
    g_game.h
    g_overflow.c
    g_overflow.h
    heretic/d_main.c
    heretic/def.h
    heretic/dstrings.h
    heretic/f_finale.h
    heretic/f_finale.c
    heretic/info.c
    heretic/in_lude.c
    heretic/in_lude.h
    heretic/level_names.c
    heretic/mn_menu.c
    heretic/mn_menu.h
    heretic/p_action.h
    heretic/sb_bar.c
    heretic/sb_bar.h
    heretic/sounds.c
    hexen/a_action.c
    hexen/a_action.h
    hexen/info.c
    hexen/f_finale.c
    hexen/f_finale.h
    hexen/h2_main.c
    hexen/in_lude.c
    hexen/in_lude.h
    hexen/p_acs.c
    hexen/p_acs.h
    hexen/p_anim.c
    hexen/p_anim.h
    hexen/p_things.c
    hexen/p_things.h
    hexen/po_man.c
    hexen/po_man.h
    hexen/sn_sonix.c
    hexen/sn_sonix.h
    hexen/sounds.c
    hexen/sv_save.c
    hexen/sv_save.h
    hu_lib.c
    hu_lib.h
    hu_stuff.c
    hu_stuff.h
    info.c
    info.h
    i_capture.c
    i_capture.h
    i_glob.c
    i_glob.h
    i_main.h
    i_pcsound.c
    i_pcsound.h
    i_sound.h
    i_system.h
    i_video.h
    lprintf.c
    lprintf.h
    md5.c
    md5.h
    m_argv.c
    m_argv.h
    m_bbox.c
    m_bbox.h
    m_cheat.c
    m_cheat.h
    m_fixed.h
    m_menu.c
    m_menu.h
    m_misc.c
    m_misc.h
    m_random.c
    m_random.h
    m_swap.h
    p_ceilng.c
    p_doors.c
    p_enemy.c
    p_enemy.h
    p_floor.c
    p_genlin.c
    p_inter.c
    p_inter.h
    p_lights.c
    p_map.c
    p_map.h
    p_maputl.c
    p_maputl.h
    p_mobj.c
    p_mobj.h
    p_plats.c
    p_pspr.c
    p_pspr.h
    p_saveg.c
    p_saveg.h
    p_setup.c
    p_setup.h
    p_sight.c
    p_spec.c
    p_spec.h
    p_switch.c
    p_telept.c
    p_tick.c
    p_tick.h
    p_user.c
    p_user.h
    r_bsp.c
    r_bsp.h
    r_data.c
    r_data.h
    r_defs.h
    r_draw.c
    r_draw.h
    r_filter.c
    r_filter.h
    r_fps.c
    r_fps.h
    r_main.c
    r_main.h
    r_patch.c
    r_patch.h
    r_plane.c
    r_plane.h
    r_segs.c
    r_segs.h
    r_sky.c
    r_sky.h
    r_state.h
    r_things.c
    r_things.h
    scanner.cpp
    scanner.h
    sc_man.c
    sc_man.h
    smooth.c
    smooth.h
    sounds.c
    sounds.h
    st_lib.c
    st_lib.h
    st_stuff.c
    st_stuff.h
    s_advsound.c
    s_advsound.h
    s_sound.c
    s_sound.h
    tables.c
    tables.h
    umapinfo.cpp
    umapinfo.h
    v_video.c
    v_video.h
    wadtbl.c
    wadtbl.h
    wi_stuff.c
    wi_stuff.h
    w_wad.c
    w_wad.h
    z_bmalloc.c
    z_bmalloc.h
    z_zone.c
    z_zone.h
)

set(NET_CLIENT_SRC
    d_client.c
)

if(HAVE_MMAP OR HAVE_CREATE_FILE_MAPPING)
    set(WAD_SRC w_mmap.c)
else()
    set(WAD_SRC w_memcache.c)
endif()

set(MUS2MID_SRC
    memio.c
    memio.h
    mus2mid.c
    mus2mid.h
)

set(SDLDOOM_SOURCES
    SDL/i_main.c
    SDL/i_sound.c
    SDL/i_sshot.c
    SDL/i_system.c
    SDL/i_video.c
)

set(PCSOUND_SOURCES
    PCSOUND/pcsound.c
    PCSOUND/pcsound.h
    PCSOUND/pcsound_linux.c
    PCSOUND/pcsound_sdl.c
    PCSOUND/pcsound_win32.c
)

set(DOOMMUSIC_SOURCES
    MUSIC/dbopl.c
    MUSIC/dbopl.h
    MUSIC/dumbplayer.c
    MUSIC/dumbplayer.h
    MUSIC/flplayer.c
    MUSIC/flplayer.h
    MUSIC/madplayer.c
    MUSIC/madplayer.h
    MUSIC/midifile.c
    MUSIC/midifile.h
    MUSIC/musicplayer.h
    MUSIC/opl.c
    MUSIC/opl.h
    MUSIC/oplplayer.c
    MUSIC/oplplayer.h
    MUSIC/opl_queue.c
    MUSIC/opl_queue.h
    MUSIC/portmidiplayer.c
    MUSIC/portmidiplayer.h
    MUSIC/vorbisplayer.c
    MUSIC/vorbisplayer.h
)

set(EXTRA_FILES
    r_drawcolpipeline.inl
    r_drawcolumn.inl
    r_drawflush.inl
)

set(PRBOOM_PLUS_SOURCES
    ${COMMON_SRC}
    ${NET_CLIENT_SRC}
    ${WAD_SRC}
    ${MUS2MID_SRC}
    ${SDLDOOM_SOURCES}
    ${PCSOUND_SOURCES}
    ${DOOMMUSIC_SOURCES}
    ${EXTRA_FILES}
)

function(AddGameExecutable TARGET SOURCES)
    set(SOURCES
        ${SOURCES}
        gl_clipper.c
        gl_detail.c
        gl_drawinfo.c
        gl_fbo.c
        gl_gamma.c
        gl_hires.c
        gl_intern.h
        gl_light.c
        gl_main.c
        gl_map.c
        gl_missingtexture.c
        gl_opengl.c
        gl_opengl.h
        gl_preprocess.c
        gl_shader.c
        gl_sky.c
        gl_struct.h
        gl_texture.c
        gl_vertex.c
        gl_wipe.c
    )

    if(WIN32)
        add_definitions("-DUSE_WIN32_PCSOUND_DRIVER")
        set(SOURCES
            ${SOURCES}
            ../ICONS/icons.rc
            SDL/SDL_windows_main.c
        )
        if(MSVC)
            set(SOURCES
                ${SOURCES}
                win_opendir.c
                win_opendir.h
            )
        endif()
    endif()

    add_executable(${TARGET} WIN32 ${SOURCES})
    target_include_directories(${TARGET} PRIVATE
        ${SDL2_INCLUDE_DIRS}
        ${CMAKE_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}
    )
    target_link_libraries(${TARGET} PRIVATE
        ${SDL2_LIBRARIES}
    )
    if(WIN32)
        target_link_libraries(${TARGET} PRIVATE
            winmm
            comctl32
        )
    endif()
    set_target_properties(${TARGET} PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${PRBOOM_OUTPUT_PATH}
    )
    if(SDL2_IMAGE_FOUND)
        target_include_directories(${TARGET} PRIVATE ${SDL2_IMAGE_INCLUDE_DIRS})
        target_link_libraries(${TARGET} PRIVATE ${SDL2_IMAGE_LIBRARIES})
    endif()

    target_include_directories(${TARGET} PRIVATE ${SDL2_MIXER_INCLUDE_DIRS})
    target_link_libraries(${TARGET} PRIVATE ${SDL2_MIXER_LIBRARIES})

    if(ZLIB_FOUND)
        target_include_directories(${TARGET} PRIVATE ${ZLIB_INCLUDE_DIRS})
        target_link_libraries(${TARGET} PRIVATE ${ZLIB_LIBRARIES})
    endif()
    if(LIBMAD_FOUND)
        target_include_directories(${TARGET} PRIVATE ${LIBMAD_INCLUDE_DIRS})
        target_link_libraries(${TARGET} PRIVATE ${LIBMAD_LIBRARIES})
    endif()
    if(FLUIDSYNTH_FOUND)
        target_include_directories(${TARGET} PRIVATE ${FLUIDSYNTH_INCLUDE_DIR})
        target_link_libraries(${TARGET} PRIVATE ${FLUIDSYNTH_LIBRARIES})
    endif()
    if(DUMB_FOUND)
        target_include_directories(${TARGET} PRIVATE ${DUMB_INCLUDE_DIR})
        target_link_libraries(${TARGET} PRIVATE ${DUMB_LIBRARY})
    endif()
    if(VORBIS_FOUND)
        target_include_directories(${TARGET} PRIVATE ${VORBIS_INCLUDE_DIR})
        target_link_libraries(${TARGET} PRIVATE ${VORBISFILE_LIBRARY})
    endif()
    if(PortMidi_FOUND)
        target_include_directories(${TARGET} PRIVATE ${PORTMIDI_INCLUDE_DIR})
        target_link_libraries(${TARGET} PRIVATE ${PORTMIDI_LIBRARIES})
    endif()
    add_dependencies(${TARGET} dsda-doom-wad)

    if(MSVC)
        set_target_properties(${TARGET} PROPERTIES
            LINK_FLAGS "/MANIFEST:NO /SUBSYSTEM:CONSOLE"
        )
        add_custom_command(TARGET ${TARGET} POST_BUILD
            COMMAND "mt.exe" -manifest \"${CMAKE_CURRENT_SOURCE_DIR}\\..\\ICONS\\dsda-doom.exe.manifest\" -outputresource:\"$<TARGET_FILE:dsda-doom>\"\;\#1

=== debian/changelog ===
dsda-doom (0.25.6+dfsg-1) unstable; urgency=medium

  * New upstream version 0.25.6+dfsg.
  * Remove patch, applied upstream.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 31 Jan 2023 07:51:06 +0100

dsda-doom (0.25.2+dfsg-2) unstable; urgency=medium

  * Add post-release fix for MS GS Synth bug.
  * Add symlinks for dsda-heretic and dsda-hexen.
  * Register symlinked executables as alternatives for Heretic and
    Hexen.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 10 Jan 2023 09:05:40 +0100

dsda-doom (0.25.2+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Fabian Greffrath ]
  * Initial release. (Closes: #1026791)
  * New upstream version 0.25.2+dfsg
    + Exclude sound and soundfont lumps of spurious origin from the
      source tarball.
    + Drop epoch inherited from the src:prboom-plus package.
  * Update debian/changelog for added copyright holders and removed
    files.
  * Remove superfluous Build-Depends on libasound2-dev, libpcre3-dev
    and libpng-dev.
  * Turn prboom-plus and prboom-plus-game-server into transitional
    dummy packages.
    + As dsda-doom has abandoned network gaming, let
      prboom-plus-game-server suggest woof-doom for a Boom-compatible
      Doom source port with network gaming support.
    + Unconditionally remove doom and boom alternatives from the
      prboom-plus package.
    + Bump epoch to 3.
  * Add doom, boom, heretic and hexen alternatives for the dsda-doom
    package.
  * Bring back the manpage and bash completion file that were removed
    upstream.
  * Install the data file into /usr/share/dsda-doom.
  * Resize the icon at package build time using imagemagick
    (intermediate solution).

 -- Fabian Greffrath <fabian@debian.org>  Sat, 31 Dec 2022 13:28:13 +0100

prboom-plus (2:2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2
  * Remove all patches, backported from upstream.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 17 Feb 2022 08:29:59 +0100

prboom-plus (2:2.6.1um-1) unstable; urgency=medium

  * Fix debian/watch file.
  * New upstream version 2.6.1um
    + Implemented custom atexit() sequence, fixing crashes during
      shutdown e.g. when using Wayland (Closes: #988016).
  * Add some post-release patches from upstream to fix some minor
    issues with the build system.
  * Install binaries into /usr/games,
  * Significantly simplify packaging.
  * Bump Standards-Version to 4.5.1.
  * Add "Build-Depends: libasound2-dev [linux-any]" for the new ALSA
    music backend.
  * Bump "Build-Depends: libsdl2-dev" to (>= 2.0.7) as required by the
    build system.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 19 Aug 2021 21:10:45 +0200

prboom-plus (2:2.6um-1) unstable; urgency=medium

  * New upstream version 2.6um
  * Do not install glboom-plus anymore, it has been superseded by
    plain prboom-plus.
  * Install prboom2/NEWS as upstream changelog.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 09 Feb 2021 13:56:30 +0100

prboom-plus (2:2.5.1.7um+git127-1) unstable; urgency=medium

  * New upstream version 2.5.1.7um+git127
  * Adapt documentation install paths to upstream changes.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 01 Jan 2021 17:22:15 +0100

prboom-plus (2:2.5.1.7um+git102-1) unstable; urgency=medium

  * New upstream version 2.5.1.7um+git102
  * Adapt documentation install paths to upstream changes.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 03 Nov 2020 21:14:08 +0100

prboom-plus (2:2.5.1.7um+git89-1) unstable; urgency=medium

  * New upstream version 2.5.1.7um+git89
  * Remove config-debian.patch, all changes have been addressed
    upstream.
  * Replace all Suggests with ffmpeg, upstream has switched to an
    ffmpeg-based viddump approach.
  * Adapt packaging to upstream install rule.
  * Add usr/bin/prboom-plus to debian/not-installed, we install
    usr/bin/glboom-plus instead of prboom-plus.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 26 Jun 2020 09:37:17 +0200

prboom-plus (2:2.5.1.7um+git82-1) unstable; urgency=medium

  * New upstream version 2.5.1.7um+git82 from commit fa28d882.
    + Fix heap buffer overflows in UDP code (CVE-2019-20797),
      Closes: #961031.
    + Fix compilation on big-endian architectures,
      Closes: #961336.
  * Refresh config-debian.patch, the game speed changing keys
    have been unbound upstream.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 06 Jun 2020 15:09:36 +0200

prboom-plus (2:2.5.1.7um+git72-1) unstable; urgency=medium

  * Switch code base to the PrBoom+/UMAPINFO fork.
  * Adapt debian/watch file accordingly.
  * New upstream version 2.5.1.7um+git72 from commit e714a5bc.
  * Adapt debian/copyright accordingly.
  * Remove debian/gbp.conf.
  * Change default music backend back to SDL. OPL2 emulation is CPU
    expensive and MIDI rendering works with a default soundfont in SDL
    nowadays.
  * Add cmake to Build-Depends, upstream has changed the build
    system.
  * Adapt debian/rules and install rules to the changed build system.
  * Run "wrap-and-sort -asb".
  * No need to repack sources anymore, upstream has replaced or
    entirely removed all dubious or non-free data lumps.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.5.0.
  * Rules-Requires-Root: no.
  * Strip "as-needed" LDFLAGS from debian/rules.
  * Remove obsolete Breaks and Replaces relations.
  * Install glboom-plus as prboom-plus.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 22 May 2020 16:33:38 +0200

prboom-plus (2:2.5.1.5+svn4540+dfsg1-2) unstable; urgency=medium

  * Remove myself from Uploaders.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 11 May 2020 10:14:12 +0100

prboom-plus (2:2.5.1.5+svn4540+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.5.1.5+svn4540+dfsg1
  * Unbind the Game Speed Up/Down keys, users might accidentally
    hit them (Closes: #922611).


=== debian/control ===
Source: dsda-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 bash-completion,
 cmake,
 debhelper-compat (= 13),
 imagemagick,
 libdumb1-dev,
 libfluidsynth-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libmad0-dev,
 libportmidi-dev [linux-any],
 libsdl2-dev (>= 2.0.7),
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 libvorbis-dev
Standards-Version: 4.6.1
Homepage: https://github.com/kraflab/dsda-doom
Vcs-Git: https://salsa.debian.org/games-team/dsda-doom.git
Vcs-Browser: https://salsa.debian.org/games-team/dsda-doom
Rules-Requires-Root: no

Package: dsda-doom
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freedoom | game-data-packager
Suggests:
 ffmpeg
Provides:
 boom-engine,
 doom-engine,
 heretic-engine,
 hexen-engine
Breaks:
 prboom-plus (<< 3:0.25.2-1~),
 prboom-plus-game-server (<< 3:0.25.2-1~)
Replaces:
 prboom-plus (<< 3:0.25.2-1~),
 prboom-plus-game-server (<< 3:0.25.2-1~)
Description: Doom source port with a focus on demo recording and speedrunning
 This is a fork of prboom+ with many new features, including:
 .
  * Heretic, Hexen, MBF21, and Doom-in-Hexen support
  * In-game console and scripting
  * Full controller support
  * Palette-based lightmode for opengl
  * Debugging features for testing
  * Strict mode for speedrunning
  * Various quality of life improvements
  * Advanced tools for TASing
  * Rewind
 .
 DSDA-Doom requires game data to run. Free game data is available in the
 freedoom package. Commercial game data can be packaged using
 game-data-packager. DSDA-Doom supports all flavors of Doom, including
 The Ultimate Doom, Doom 2 and Final Doom as well as Chex(R) Quest, HacX,
 Freedoom: Phase 1 and Phase 2 and FreeDM.
 .
 Additionally, DSDA-Doom supports Heretic and Hexen.

Package: prboom-plus
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends:
 dsda-doom (>= 0.25.2-1~),
 ${misc:Depends}
Description: transitional dummy package (prboom-plus -> dsda-doom)
 This package is a dummy package to enable the prboom-plus
 to dsda-doom transition. It can be safely removed.

Package: prboom-plus-game-server
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends:
 dsda-doom (>= 0.25.2-1~),
 ${misc:Depends}
Suggests:
 woof-doom
Description: transitional dummy package (prboom-plus-game-server -> dsda-doom)
 This package is a dummy package to enable the prboom-plus-game-server
 to dsda-doom transition. It can be safely removed.
 .
 DSDA-Doom has abandoned network gaming. A Boom-compatible Doom port with
 network gaming support compatible to the Chocolate family of ports can be
 found in the woof-doom package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ \
		--sourcedirectory=prboom2 \
		--with bash_completion

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=games \
		-DDSDAPWADDIR=/usr/share/dsda-doom

override_dh_installchangelogs:
	dh_installchangelogs -- patch_notes/v$(basename $(DEB_VERSION_UPSTREAM_REVISION))*

override_dh_gencontrol:
	dh_gencontrol -pprboom-plus             -- -v3:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -pprboom-plus-game-server -- -v3:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages

execute_after_dh_install:
	#TODO: Remove this paragraph and Build-Depends: imagemagick,
	#      once upstream ships icons in SVG format or in PNG format
	#      with reasonable dimensions
	mkdir -p debian/dsda-doom/usr/share/icons/hicolor/512x512/apps && \
	convert prboom2/ICONS/dsda-doom.png -resize 512x512\! \
	debian/dsda-doom/usr/share/icons/hicolor/512x512/apps/dsda-doom.png
